<?php
/* Padrão */
require_once __DIR__ . '/../../config/configs.php';
default_headers();
$data = file_get_contents("php://input");
$data = json_decode($data);

/* Lendo dados recebidos */
$token = $data->token;
$dados = $data->dados;
$tipo = $dados->tipo;

/* Objeto resposta */
$resposta = new stdClass();
$resposta->dados = new stdClass();
$resposta->msg = '';
$resposta->code = '';

/*verificando o token */
$token = jwt_check($token);
if($token == null){
   $resposta->code = INVALID_TOKEN_CODE;
   echo json_encode($resposta);
   exit;
}

/* Logica */
$matricula = $dados->matricula;
$retorno_db = dados_aluno($matricula);

function url_pdf($id_modalidade, $id_serie, $id_materia, $tipo, $tri, $arquivo){
    $url_base = 'http://sistematotal1.hospedagemdesites.ws/CONTEUDO_APP/';
    
    switch($id_modalidade){
        case 16:
            $url_base .= "FUNDAMENTAL1/";
            break;
        case 17:
            $url_base .= "FUNDAMENTAL2/";
            break;
        case 18:
            $url_base .= "ENSINO_MEDIO/";
            break;
        case 23:
            $url_base .= "EDUC_INFANTIL/";
            break;
    }
    
    switch($id_serie){
        case 30:
            $url_base .= "1ANO/";
            break;
        case 31:
            $url_base .= "2ANO/";
            break;
        case 32:
            $url_base .= "3ANO/";
            break;
        case 33:
            $url_base .= "4ANO/";
            break;
        case 34:
            $url_base .= "5ANO/";
            break;
            
        case 11:
            $url_base .= "6ANO/";
            break;
        case 12:
            $url_base .= "7ANO/";
            break;
        case 13:
            $url_base .= "8ANO/";
            break;
        case 14:
            $url_base .= "9ANO/";
            break;
            
        case 15:
            $url_base .= "1SERIE/";
            break;
        case 16:
            $url_base .= "2SERIE/";
            break;
        case 17:
            $url_base .= "3SERIE/";
            break;
            
        case 26:
            $url_base .= "MATERNAL1/";
            break;
        case 27:
            $url_base .= "MATERNAL2/";
            break;
        case 28:
            $url_base .= "PRE_ESCOLA1/";
            break;
        case 29:
            $url_base .= "PRE_ESCOLA2/";
            break;
            
        case 69:
            $url_base .= "BERCARIO/";
            break;
        case 70:
            $url_base .= "BERCARIO/";
            break;
        case 77:
            $url_base .= "BERCARIO/";
            break;
    }
    
    switch($id_materia){
        case 16:
            $url_base .= "ARTE/";
            break;
        case 87:
            $url_base .= "BIOLOGIA/";
            break;
        case 12:
            $url_base .= "FILOSOFIA/";
            break;
        case 9:
            $url_base .= "FISICA/";
            break;
        case 5:
            $url_base .= "GEOGRAFIA/";
            break;
        case 4:
            $url_base .= "HISTORIA/";
            break;
        case 88:
            $url_base .= "INGLES/";
            break;
        case 13:
            $url_base .= "LITERATURA/";
            break;
        case 3:
            $url_base .= "MATEMATICA/";
            break;
        case 2:
            $url_base .= "PORTUGUES/";
            break;
        case 11:
            $url_base .= "QUIMICA/";
            break;
        case 46:
            $url_base .= "REDACAO/";
            break;
        case 14:
            $url_base .= "SOCIOLOGIA/";
            break;
        case 6:
            $url_base .= "CIENCIAS/";
            break;
        case 342:
            $url_base .= "DISCIPLINA_INTEGRADA/";
            break;
    }
    
    switch($tipo){
        case 1:
            $url_base .= "REVISAO/";
            break;
        case 2:
            $url_base .= "CONTEUDO_NOVO/";
            break;
        case 3:
            $url_base .= "EXERCICIO/";
            break;
        case 4:
            $url_base .= "DICAS/";
            break;
        case 5:
            $url_base .= "VIDEO_AULAS/";
            break;
        case 6:
            $url_base .= "AULAS_ONLINE/";
            break;
    }
    
    switch($tri){
        case 1:
            $url_base .= "1TRI/";
            break;
        case 2:
            $url_base .= "2TRI/";
            break;
        case 3:
            $url_base .= "3TRI/";
            break;
    }
    
    $url_base .= $arquivo;
    return $url_base;
}


if($retorno_db != null){
    $resp = array();
    $conteudos = conteudos_informacoes_gerais($matricula, $retorno_db['id_curso'], $retorno_db['id_modalidade']);
    
    $objJson = new stdClass();
    $objJson->pdfs  = new stdClass();
    $objJson->pdfs->abrePDF = false;
    $objJson->pdfs->nome = "Arquivos";
    
    $objJson->pdfs->conteudo = array();
    
    $objJson->videos =  new stdClass();
    $objJson->videos->abreVideo = false;
    $objJson->videos->nome = "Videos";    
    $objJson->videos->conteudo = array();
    
    foreach ($conteudos as $conteudo){
        if($conteudo['formato'] == 1){
            $objJson->pdfs->conteudo[] = $conteudo;
            
        }else if($conteudo['formato'] == 2){
            $objJson->videos->conteudo[] = $conteudo;
        }
    }

    
    $resposta->dados = $objJson;
    $resposta->code = SUCCESS_CODE;
} else {
    $resposta->code = FAIL_CODE;
    $resposta->msg = '';
}

/* Enviando resposta */
echo json_encode($resposta);