<?php
    function jwt_encode(array $options){
        $issuedAt = time();
        $expire = $issuedAt + $options['expiration_sec'];
 
        $tokenParam = [
            'iat'  => $issuedAt,           
            'iss'  => $options['iss'],    
            'exp'  => $expire,
            'nbf'  => $issuedAt - 1,
            'data' => $options['userdata'],
        ];
 
        return Firebase\JWT\JWT::encode($tokenParam, AUTH_KEY);
    }

    function jwt_decode($jwt){
        return Firebase\JWT\JWT::decode($jwt, AUTH_KEY, ['HS256']);
    }

    function jwt_check($token){
        try {
            $jwt = jwt_decode($token);
            return $jwt;
        } catch(Exception $ex) {
            return 'a';
        }
    }

    function jwt_create($expiration_sec, $iss, array $data){
        return jwt_encode([
            'expiration_sec' => $expiration_sec,
            'iss' => $iss,        
            'userdata' => $data
        ]);
    }
?>